<!DOCTYPE node PUBLIC "-//freedesktop//DTD D-BUS Object Introspection 1.0//EN" "http://www.freedesktop.org/standards/dbus/1.0/introspect.dtd">
<node>
	<interface name="com.lomiri.usermetrics.DataSet">
		<property name="dataSource" type="o" access="read"/>
		
		<property name="lastUpdated" type="u" access="read"/>
		
		<property name="data" type="av" access="read"/>
		
		<method name="update">
			<arg name="data" type="av" direction="in"/>
		</method>
		
		<method name="increment">
			<arg name="amount" type="d" direction="in"/>
		</method>
		
		<signal name="updated">
			<arg name="lastUpdated" type="u" direction="out"/>
			<arg name="data" type="av" direction="out"/>
		</signal>		

	</interface>
</node>